
# 简介
海鸥Ⅱ根据模板生成配置文件

# 打包py

## 安装打包工具 
```
 python -m pip install --user --upgrade setuptools wheel
 ```

## 在项目目录下执行
```
python .\setup.py sdist bdist_wheel
```
### [setup.py 参考](https://docs.python.org/3.8/distutils/setupscript.html#writing-the-setup-script)

## 测试
```
cd
```

## 运行

app和sotrybook为独立运行，无先后关联
1. 编译类库 ``` npm run build ```
2. 运行app ``` npm run start ```
3. 运行sotrybook``` npm run sb ```

## 开发
1. 类库单测 ``` npm run test ```
2. 类库showcase单测 ``` npm run test:app ```
3. 运行sotrybook ``` npm run sb ```

## 发布
### 发布类库
1. 修改 project/sog/ngx-seagull2中的package.json中的version
2. 先编译 ``` npm run build ```
4. 发布到私有npm仓库，可使用CI/CD, 也可手动发布
    - 手法发布方式1： 
        - 先打包 ```npm run pack ```
        - 然后把dist/sog/ngx-seagull2目录下的sog-ngx-seagull2-*.tgz文件手动发布到npm私有仓库上
    - 手法发布方式2
        - 先登录私有npm仓库 ```npm login --registry http://npm-source.sinooceangroup.com/npm/seagull2npm```
        - 在发布```npm run publish ```, 


### 发布bookstory
#### 本地发布
1. 构建bookstory ```npm run build-storybook```
2. 验证编译结果 ```cd .\storybook-static\ ``` ```  npx http-server -o ```
3. .\storybook-static\目录科发布到任何想要的地方
#### 远程发布
使用chromatic发布，``` npm run chromatic ```
